{% extends 'content_base.html.twig' %}
{% block content_body %}
    <a href="{{ path('admin_article_new') }}" class="btn btn-primary pull-right">
        Create <span class="fa fa-plus-circle"></span>
    </a>
    <h1>All Articles</h1>
    <table class="table">
        <thead>
            <tr>
                <th>Title</th>
                <th>Author</th>
                <th>Published?</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            {% for article in articles %}
                <tr>
                    <td>{{ article.title }}</td>
                    <td>{{ article.author.email }}</td>
                    <td>
                        <span class="fa fa-{{ article.isPublished ? 'check' : 'times' }}"></span>
                    </td>
                    <td><a href="{{ path('admin_article_edit', { id: article.id}) }}"><span class="fa fa-pencil"></span></a></td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}